--[[
GuildSeen - /seen command functionality
by Link Dupont (Altariel)

]]

local VERSION = "1.6.2";

function GuildSeen_OnLoad()
	SLASH_GUILDSEEN1 = "/seen";
	SLASH_GUILDSEEN2 = "/gseen";
	SlashCmdList["GUILDSEEN"] = GuildSeen_SlashCmd;

	if ( DEFAULT_CHAT_FRAME ) then
		DEFAULT_CHAT_FRAME:AddMessage("GuildSeen " .. VERSION .. " loaded.");
	end
end

function GuildSeen_SlashCmd(player)
	if(player == "") then
		DEFAULT_CHAT_FRAME:AddMessage("GuildSeen version " .. VERSION);
		return;
	end
	
	-- Much of this code is inspired by CT_MailMod's Guild Roster parsing
	local oldOffline = GuildFrameLFGButton:GetChecked();
	SetGuildRosterShowOffline(1);

	local numGuildMembers = GetNumGuildMembers();
	if ( numGuildMembers > 0 ) then
		for i=1, numGuildMembers do
			name, rank, rankIndex, level, class, zone, group, note, officernote, online = GetGuildRosterInfo(i);
			if ( strfind(strupper(name), strupper(player)) ) then
				if ( online ) then
					DEFAULT_CHAT_FRAME:AddMessage(name .. " is currently online.");
				else
					yearsOffline, monthsOffline, daysOffline, hoursOffline = GetGuildRosterLastOnline(i);
					DEFAULT_CHAT_FRAME:AddMessage("Last seen " .. name .. ": " .. monthsOffline .. " months, " .. daysOffline .. " days, " .. hoursOffline .. " hours ago.");
				end
			end
		end
	end

	-- Revert to old scanning
	SetGuildRosterShowOffline(oldOffline);
end
